ASIN(3)

NAME
asin, asinf, asinl - arc sine functions

SYNOPSIS
#include <math.h>
double
asin(double x);
float
asinf(float x);
long double
asinl(long double x);

DESCRIPTION
The asin() function computes the principal value of the arc sine of x in the range [-pi/2, +pi/2]. The asinf() function is a single precision version of asin(). The asinl() function is an extended precision version of asin().

RETURN VALUES
If |x|>1, asin(x), asinf(x) and asinl(x) return NaN and set the global variable errno to EDOM.

SEE ALSO
acos(3), atan(3), atan2(3), cos(3), cosh(3), sin(3), sinh(3), tan(3), tanh(3)